Report custom billing event (PER_USE)
curl --request POST \
--url https://app.profy.cn/openapi/v1/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": "generate_report",
"idempotency_key": "order-12345",
"metadata": {}
}
'import requests
url = "https://app.profy.cn/openapi/v1/events"
payload = {
"event": "generate_report",
"idempotency_key": "order-12345",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({event: 'generate_report', idempotency_key: 'order-12345', metadata: {}})
};
fetch('https://app.profy.cn/openapi/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"charged": 123,
"balance_remaining": 123,
"idempotent_replay": true
}Events
Report Billing Event
Report a billable event. Profy charges the user’s credits based on the meter pricing configured in Studio.
POST
/
openapi
/
v1
/
events
Report custom billing event (PER_USE)
Authorizations
OAuth2 access token issued via POST /oauth/token
Body
application/json
⌘I

